#include <Servo.h>
Servo myservo1; // création d'un objet myservo1 héritant des propriétés de la classe Servo
Servo myservo2; // création d'un objet myservo2 héritant des propriétés de la classe Servo

int pos1 = 0; // variable pour stocker la position à atteindre pour le servo1
int pos2 = 0; // variable pour stocker la position à atteindre pour le servo2

const int servo1Pin = 3;
const int servo2Pin= 4;

int xAxisPin = 0; // define X pin of Joystick
int yAxisPin = 1; // define Y pin of Joystick
int zAxisPin = 8; // define Z pin of Joystick
int xVal, yVal, zVal; // define 3 variables to store the values of 3 direction

void setup() {
 pinMode(zAxisPin, INPUT_PULLUP); // initialize the port to pull-up input
 myservo1.attach(servo1Pin);
 myservo2.attach(servo2Pin); 
 Serial.begin(9600); // initialize the serial port with baud rate 9600

}

void loop() {
 // read analog value in XY axis
 xVal = analogRead(xAxisPin);
 pos2=map(xVal,0,1023,0,180);
 yVal = analogRead(yAxisPin);
 pos1=map(yVal,0,1023,0,180);
 // read digital value of switch in Z axis
 zVal = digitalRead(zAxisPin);
 //print the data read above
 Serial.print("X : ");
 Serial.print(xVal);
 Serial.print(" \t Y : ");
 Serial.print(yVal);
 Serial.print(" \t Z : ");
 Serial.println(zVal);
 //delay(200);
 myservo1.write(pos1);
 myservo2.write(pos2); 
}
